#include "UniversalSymbols.h"

#include "Controls.h"
#include "Dialog.h"
#include "Window.h"

namespace PortableViews {
	
//@method:PortDialog::LayoutControls
//@arg:topNode:LayoutNode reference
//	The layout node at the top of the layout node tree.
//@descr
//	Calls Layout::LayoutControls(), then resizes the dialog based on the
//  size of the resulting layout.
//@endm
void	PortDialog::LayoutControls(LayoutNode& nd)
	{
	Layout::LayoutControls(nd);
	sInt16 h, v;
	PortDialog::GetDialogSpacing(kAVDSDialogEdge, h, v);
	MoveChild(nd, h, v);
	iInfo.iWidth = nd.width + 2 * h;
	iInfo.iHeight = nd.height + 2 * v;
	}

} // Namespace PortableViews